Sisimai::Reason::SystemError(3pm)

NAME
Sisimai::Reason::SystemError - Bounce reason is "systemerror" or not.

SYNOPSIS
    use Sisimai::Reason::SystemError;
    print Sisimai::Reason::SystemError->match('5.3.5 System config error'); # 1

DESCRIPTION
"Sisimai::Reason::SystemError" checks the bounce reason is "systemerror" or not. This class is called only "Sisimai::Reason" class. This is the error that the email has bounced due to system error on the remote host such as LDAP connection failures or other internal system errors.

    <kijitora@example.net>:
    Unable to contact LDAP server. (#4.4.3)I'm not going to try again; this
    message has been in the queue too long.

CLASS METHODS

  "text()"
text() method returns the fixed string "systemerror".

    print Sisimai::Reason::SystemError->text;  # systemerror

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::SystemError->match('5.3.5 System config error'); # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "systemerror". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2022,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.